Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation.response
Class FragmentResponse

    java.lang.Object
      org.jboss.portal.portlet.invocation.response.PortletInvocationResponse
          org.jboss.portal.portlet.invocation.response.ContentResponse
              org.jboss.portal.portlet.invocation.response.FragmentResponse

    public class FragmentResponse

extends ContentResponse

Data produced.

Version:
  $Revision: 5602 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.invocation.response.ContentResponse
`TYPE_BYTES, TYPE_CHARS, TYPE_EMPTY`

Constructor Summary
`FragmentResponse(ResponseProperties properties, java.util.Map<java.lang.String,java.lang.Object> attributes, java.lang.String contentType, byte[] bytes, java.lang.String chars, java.lang.String title, CacheControl cacheControl, java.util.Set<org.jboss.portal.Mode> nextModes)`

Method Summary
`java.util.Set<org.jboss.portal.Mode>` | `getNextModes()` Returns the next modes.
`java.lang.String` | `getTitle()` Return the fragment title.

Methods inherited from class org.jboss.portal.portlet.invocation.response.ContentResponse
`getAttributes, getBytes, getCacheControl, getChars, getContent, getContentType, getProperties, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FragmentResponse

    public FragmentResponse(ResponseProperties properties,
                            java.util.Map<java.lang.String,java.lang.Object> attributes,
                            java.lang.String contentType,
                            byte[] bytes,
                            java.lang.String chars,
                            java.lang.String title,
                            CacheControl cacheControl,
                            java.util.Set<org.jboss.portal.Mode> nextModes)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Return the fragment title.

  Returns:
    the title.

### getNextModes

    public java.util.Set<org.jboss.portal.Mode> getNextModes()

  Returns the next modes.

  Returns:
    the next modes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.